package com.yanzhu.manage.service;

import com.alibaba.fastjson.JSON;

/**
 * 宇泛服务封装
 */
public interface IUniService {
    /**
     * 鉴权接口
     * @param data
     * @return
     */
    public String auth(JSON data);

    /**
     * 人员接口-识别主体创建
     * @param data
     * @return
     */
    public JSON admitCreate(JSON data);

    /**
     * 人员接口-识别主体更新
     * @param data
     * @return
     */
    public JSON admitUpdate(JSON data);

    /**
     * 人员接口-识别主体删除
     * @param data
     * @return
     */
    public JSON admitDeletee(JSON data);

    /**
     * 人员接口-查询识别主体详情
     * @param data
     * @return
     */
    public JSON admitDetail(JSON data);

    /**
     * 人员接口-识别主体列表
     * @param data
     * @return
     */
    public JSON admitPage(JSON data);


    /**
     * 人员接口-人像注册
     * @param data
     * @return
     */
    public JSON faceRegister(JSON data);



    /**
     * 人员接口-人像删除
     * @param data
     * @return
     */
    public JSON faceDelete(JSON data);

    /**
     * 人员接口-人员照片信息查询
     * @param data
     * @return
     */
    public JSON faceDetail(JSON data);

    /**
     * 设备接口-设备添加
     * @param data
     * @return
     */
    public JSON deviceCreate(JSON data);

    /**
     * 设备接口-设备更新
     * @param data
     * @return
     */
    public JSON deviceUpdate(JSON data);

    /**
     * 设备接口-设备删除
     * @param data
     * @return
     */
    public JSON deviceDelete(JSON data);

    /**
     * 设备接口-设备详情
     * @param data
     * @return
     */
    public JSON deviceDetail(JSON data);

    /**
     * 授权接口-设备授权识别主体
     * @param data
     * @return
     */
    public JSON authDevice(JSON data);

    /**
     * 授权接口-设备修改识别主体权限
     * @param data
     * @return
     */
    public JSON authDeviceUpdate(JSON data);


    /**
     * 授权接口-设备销权识别主体
     * @param data
     * @return
     */
    public JSON authDeviceRevoke(JSON data);

}
